package com.ruoyi.sy.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 选科测试卷对象 sy_test_paper
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public class SyTestPaper extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** paper_id */
    private Long paperId;

    /** 类型 价值 知识 职业 */
    @Excel(name = "类型 价值 知识 职业")
    private Integer category;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long creatorId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    public void setPaperId(Long paperId) 
    {
        this.paperId = paperId;
    }

    public Long getPaperId() 
    {
        return paperId;
    }
    public void setCategory(Integer category)
    {
        this.category = category;
    }

    public Integer getCategory()
    {
        return category;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setCreatorId(Long creatorId) 
    {
        this.creatorId = creatorId;
    }

    public Long getCreatorId() 
    {
        return creatorId;
    }
    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("paperId", getPaperId())
            .append("category", getCategory())
            .append("name", getName())
            .append("creatorId", getCreatorId())
            .append("createdTime", getCreatedTime())
            .toString();
    }
}
